.key {
    border-radius: 10px;
    border: 1px solid var(--color-secondary);
    padding: 25px 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.key__qrCode {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 165px;
    height: 165px;
    margin-bottom: 30px;
}

.key__name {
    font-size: 1.125rem;
    line-height: 1.3rem;
    font-weight: 500;
    margin-bottom: 10px;
}

.key__value {
    font-family: var(--font-mono);
    font-size: 0.75rem;
    line-height: 1rem;
    height: 22px;
    word-break: break-all;
}

.wallet__action {
    display: flex;
}

@media (min-width: 1200px) {
    .key {
        padding: 35px 10px;
    }

    .key__qrCode {
        margin-bottom: 32px;
    }

    .key__name {
        font-size: 1.25rem;
        line-height: 1.5rem;
        margin-bottom: 12px;
    }

    .key__value {
        font-size: 1rem;
        line-height: 1.3rem;
    }

    .wallet__action.wallet__action--save-key {
        justify-content: flex-end;
    }
}
